using log4net;

namespace CallCenter.Utility
{
    public class Log
    {
        private ILog logger;
        public Log(ILog log)
        {
            this.logger = log;
        }
        public void Debug(object message)
        {
            this.logger.Debug(RequestString.GetIP() + "  " + message);
        }
        public void Error(object message)
        {
            this.logger.Error(RequestString.GetIP() + "  " + message);
        }
        public void Info(object message)
        {
            this.logger.Info(RequestString.GetIP() + "  " + message);
        }
        public void Warn(object message)
        {
            this.logger.Warn(RequestString.GetIP() + "  " + message);
        }
    }
}
